md-sidenav.md-sidenav-left(
  md-component-id="tools"
  md-whiteframe="4")
  //- md-is-locked-open="$mdMedia('gt-md')"
  md-content
    md-toolbar
      div.md-toolbar-tools
        div(flex) Brushtales
          //- span(ng-show="auth.logged_in") {{auth.profile.username || auth.profile.name}}
          //- span(ng-hide="auth.logged_in") Welcome Guest
        //- md-button.md-icon-button(ng-show="auth.logged_in" aria-label="Settings" ui-sref="settings")
        //-   md-icon(md-svg-icon="settings")
        //- md-button.md-icon-button(ng-show="auth.logged_in" aria-label="Logout" ng-click="logout()")
        //-   md-icon(md-svg-icon="logout")
        md-button.md-icon.button(ng-click="close()")
          md-icon(md-svg-icon="close")

    //- TODO: 
    md-list
      md-list-item(
        ng-repeat="page in pages.items | orderBy:'pos'"
        ng-if="!pages.hideCheck(page)"
        ng-click="go(page.sref)")
        md-icon(md-svg-icon="{{page.icon}}")
        p {{page.title}}

      md-list-item(
        ng-hide="auth.logged_in"
        ng-click="login()")
        md-icon(md-svg-icon="login")
        p Login/Join

      md-list-item(
        ng-show="auth.logged_in"
        ng-click="logout()")
        md-icon(md-svg-icon="logout")
        p Logout

      //- md-list-item(ng-disabled="!auth.logged_in" ui-sref="calendar")
      //-   md-icon(md-svg-icon="calendar")
      //-   p Calendar
      //- md-list-item(ng-disabled="!auth.logged_in" ui-sref="dashboard")
      //-   md-icon(md-svg-icon="view-dashboard")
      //-   p Dashboard

      //- md-divider

      //- md-list-item(ng-hide="auth.logged_in" ng-click="registerOrganizer()")
      //-   md-icon(md-svg-icon="star")
      //-   p Register as Organizer

      //- md-list-item(ui-sref="settings")
      //-   md-icon(md-svg-icon="settings")
      //-   p Settings

      //- md-list-item(ng-click="logout()")
      //-   md-icon(md-svg-icon="logout")
      //-   p Logout
